This is Benchmark.info, produced by Macaulay2, version 1.20

Benchmark -- standard Macaulay2 benchmarks
******************************************

Description
===========

This package provides some standard benchmarks for gauging the speed of
algorithms and machines.

Authors
=======

  * Daniel R. Grayson (see http://www.math.uiuc.edu/~dan/ ) <dan@math.uiuc.edu>
  * Michael E. Stillman (see
    http://www.math.cornell.edu/People/Faculty/stillman.html )
    <mike@math.cornell.edu>

Version
=======

This documentation describes version 1.0 of Benchmark.

Source code
===========

The source code from which this documentation is derived is in the file
Benchmark.m2 (see common/share/Macaulay2/Benchmark.m2 ).

Exports
=======

  * Functions and commands
      * runBenchmarks

For the programmer
==================

The object Benchmark, is a package (Macaulay2Doc).

runBenchmarks
*************

Synopsis
========

  * Usage:
        runBenchmarks
        runBenchmarks x
        runBenchmarks all
  * Inputs:
      * x, a string or list of strings
  * Consequences:
      * the benchmarks whose names occur in x are run.  The output is in a
        standard format that can be inserted into a Macaulay2 source file as a
        comment. If x is omitted, then the "res39", "resG25", and "gbB148" are
        run. If x is all, then all the benchmarks are run.

Description
===========

The tests available are: "deg2generic" -- gb of a generic ideal of codimension
2 and degree 2"gb4by4comm" -- gb of the ideal of generic commuting 4 by 4
matrices over ZZ/101"gb3445" -- gb of an ideal with elements of degree 3,4,4,5
in 8 variables"gbB148" -- gb of Bayesian graph ideal #148"res39" -- res of a
generic 3 by 9 matrix over ZZ/101"resG25" -- res of the coordinate ring of
Grassmannian(2,5)"yang-gb1" -- an example of Yang-Hui He arising in string
theory"yang-subring" -- an example of Yang-Hui He

+-----------------------------------------------------------------------------+
|i1 : runBenchmarks "res39"                                                   |
|-- beginning computation Fri 13 May 2022 11:26:14 PM CDT                     |
|-- Linux debian 5.10.0-9-amd64 #1 SMP Debian 5.10.70-1 (2021-09-30) x86_64   |
|-- Intel(R) Core(TM) i7-8850H CPU @ 2.60GHz  GenuineIntel  cpu MHz 2592.000  |
|-- Macaulay2 1.20, compiled with gcc 10.2.1                                  |
|-- res39: res of a generic 3 by 9 matrix over ZZ/101: .334013 seconds        |
|-----------------------------------------------------------------------------|
|GNU/Linux                                                                    |
|                                                                             |
+-----------------------------------------------------------------------------+

For the programmer
==================

The object runBenchmarks, is a command (Macaulay2Doc).